/**
*   Style pour WC
*/
/*
h2.woocommerce-loop-category__title,
h2.woocommerce-loop-product__title {
    padding-left:10px; 
    background:url('http://localhost/wp-test/wp-content/uploads/global/bg-redray.png') top left no-repeat; 
    font-size:24px;
    font-weight:bold;
    color:#EEE;
    }
*/

  .woocommerce-js ul.products li.product a.ast-loop-product__link {
    display: inline-block;
    width: 100%;
}
/*a, a:focus, a:hover, a:visited {
    text-decoration: none;
}*/
/*
.woocommerce-js ul.products li.product .woocommerce-loop-product__title, .woocommerce-page ul.products li.product .woocommerce-loop-product__title {
    margin-bottom: 0.5em;
    padding: 0;
    font-size: 1em;
}
*/
.woocommerce-js ul.products li.product .woocommerce-loop-category__title, .woocommerce-js ul.products li.product .woocommerce-loop-product__title, .woocommerce-js ul.products li.product h3 {
    /*padding: 0.5em 0;
    margin: 0;*/
    font-size: 0.8em;
}

/*h2.woocommerce-loop-category__title, h2.woocommerce-loop-product__title {
    padding-left: 10px;
    background: url(http://localhost/wp-test/wp-content/uploads/global/bg-redray.png) top left no-repeat;
    font-size: 24px;
    font-weight: bold;
    color: #EEE;
}
.woocommerce-js h2 {
    margin-bottom: 0.7em;
}
*/

/**
 * Gestion de la page liste des catégories
 **/
 .woocommerce ul.products:not(.elementor-grid), .woocommerce-page ul.products:not(.elementor-grid) {
    grid-template-columns: repeat(4,1fr);
}

.woocommerce-js .products ul, .woocommerce-js ul.products {
    margin: 0 0 1em;
    padding: 0;
    list-style: none outside;
    clear: both;
}
.woocommerce ul.products, .woocommerce-page ul.products {
    display: grid;
    column-gap: 20px;
}

.woocommerce .products ul::after, .woocommerce .products ul::before,
.woocommerce ul.products::after, .woocommerce ul.products::before {
    /*content: " ";*/
    display: none; /*table;*/
}
/*
.woocommerce ul.products::after, .woocommerce ul.products::before,
.woocommerce-page ul.products::after, .woocommerce-page ul.products::before {
    content: " ";
    display: table;
}
/**/
 .woocommerce-page ul.products li.product {
    /*background-color: aqua;   /* pour les tests de positionnement */
    display: flex;
    flex-direction: column;
    width: 100%;
    height: 100%;
    padding: 0;
    position: relative;
 }

 .woocommerce-page ul.products li.product.product-category > a {
    display: inline-block;
    position: relative;
 }

 .woocommerce-page ul.products li.product.product-category a {
    width: 100%;
    height: 100%;
    text-decoration: none;
    color: #E40000;
 }

 .woocommerce-page ul.products li.product.product-category a img {
    /*height: auto; /*100%;*/
    width: 100%;
    height: auto;
    object-fit: cover; /*contain; /*fill; /*cover;*/
    margin: 0;
    margin-left: auto;
    margin-right: auto;

 }

 /**
  * Element général des pages WC
  **/
 .woocommerce-page ul.products li.product a img {
    margin-bottom: 0.8em; /*??*/
    width: 100%;
    height: auto;
    display: block;
    /*margin: 0 0 1em;*/
    margin: auto;
    box-shadow: none;
 }

.woocommerce img, .woocommerce-page img {
    height: auto;
    max-width: 100%;
}

.woocommerce-page ul.products li.product.product-category > a:hover .woocommerce-loop-category__title {
    background-color: rgba(228, 0, 0, 0.5); /*#E40000;*/
    /*background-color: rgba(255, 255, 255, 0.5); /*#E40000;*/
    /*background-color: #fff;*/
    /*color:blue;*/
    color: white;
}


.woocommerce-page ul.products li.product .woocommerce-loop-category__title {
    bottom: 4.5em; /*1em; /*1.8em;  /*Remonte le titre dans l'image */
    font-size: .9em;
    position: absolute;
    color: inherit;
    background: inherit;
    /*background-color: rgba(228, 0, 0, 0.2); /*#E40000;*/
    background-color: rgb(255, 255, 255, 0.5); /*#E40000;*/
    /*transition: background .3s;*/
    text-align: center;
    left: 1em;
    right: 1em;
    /*padding: 0.5em 0 0.7em;*/
    padding: 0;
    text-transform: uppercase;
 }

 .woocommerce-js ul.products li.product .woocommerce-loop-category__title .count,
 .woocommerce-page ul.products li.product .woocommerce-loop-category__title .count {
    display: block;
    background: 0 0;
    opacity: .5;
    font-size: .75em;

}


/**/
 .woocommerce div.product div.images .flex-control-thumbs li {
    padding: 5px;
}

.woocommerce-js div.product .product_meta {
    border-top: 1px solid red;
    padding-top: 0.5em;
    font-size: .9em;
    margin: 0 0 0.8em;
}


.woocommerce-js div.product .product_meta>span {
    display: inline-block;
    /*margin-right: 15px;*/
    padding-right: 15px;
    align-items: center;
    /*font-weight: 500;*/
    text-decoration: inherit;
}

.sku_wrapper, .posted_in, .tagged_as {
    font-weight: bold;
  }
  .sku, .posted_in a, .tagged_as a {
    
    font-weight: normal;
  }

  .woocommerce div.product .product_title {
    padding: 5px;
  }

/*
.woocommerce-js .woocommerce-ordering select, .woocommerce-page .woocommerce-ordering select {
    background-color: transparent;
    border: transparent;
    border-radius: 0;
}

.woocommerce-js .woocommerce-ordering select {
    vertical-align: top;
}

.woocommerce-js .select2-container .select2-selection--single, .woocommerce-js select, .woocommerce-page .select2-container .select2-selection--single, .woocommerce-page select {
    padding: 0.8em;
    line-height: normal;
    padding-right: 2em;
    appearance: none;
    background-position: 98% 50%;
    background-color: #fff;
    border-color: red; /*var(--ast-border-color);*/
/*    border-radius: 3px;
    box-shadow: none;
}
*/
/*
input:focus, input[type="text"]:focus, input[type="email"]:focus, input[type="url"]:focus,
input[type="password"]:focus, input[type="reset"]:focus, input[type="search"]:focus,
input[type="number"]:focus, textarea:focus, .wp-block-search__input:focus,
[data-section="section-header-mobile-trigger"] .ast-button-wrap
.ast-mobile-menu-trigger-minimal:focus, .ast-mobile-popup-drawer.active
.menu-toggle-close:focus, .woocommerce-ordering select.orderby:focus, #ast-scroll-top:focus,
#coupon_code:focus, .woocommerce-page #comment:focus,
.woocommerce #reviews #respond input#submit:focus, .woocommerce a.add_to_cart_button:focus,
.woocommerce .button.single_add_to_cart_button:focus,
.woocommerce .woocommerce-cart-form button:focus,
.woocommerce .woocommerce-cart-form__cart-item .quantity .qty:focus,
.woocommerce .woocommerce-billing-fields .woocommerce-billing-fields__field-wrapper .woocommerce-input-wrapper > .input-text:focus,
.woocommerce #order_comments:focus, .woocommerce #place_order:focus,
.woocommerce .woocommerce-address-fields .woocommerce-address-fields__field-wrapper .woocommerce-input-wrapper > .input-text:focus,
.woocommerce .woocommerce-MyAccount-content form button:focus,
.woocommerce .woocommerce-MyAccount-content .woocommerce-EditAccountForm .woocommerce-form-row .woocommerce-Input.input-text:focus,
.woocommerce .ast-woocommerce-container .woocommerce-pagination ul.page-numbers li a:focus,
body #content .woocommerce form .form-row .select2-container--default .select2-selection--single:focus,
#ast-coupon-code:focus, .woocommerce.woocommerce-js .quantity input[type=number]:focus,
.woocommerce-js .woocommerce-mini-cart-item .quantity input[type=number]:focus,
.woocommerce p#ast-coupon-trigger:focus*/
.woocommerce-ordering select.orderby:focus {
    border-style: dotted; /*inherit;*/
    border-color: inherit;
    border-width: thin;
    outline-color: #E40000; /*' => astra_get_option( 'site-accessibility-highlight-input-color' )*/
    outline-style: none;
}

.woocommerce-ordering select.orderby option:checked {
    background-color: #f37777;
}

/** Non pris en compte !!! **/
.woocommerce-ordering select.orderby option:hover {
    background-color: #f37777;
    color: red;
}



/* Si l'écran fait jusqu'à 600 px **/
@media screen and (max-width: 768px) {
  
      /** * Gestion de la page liste des catégories **/
      .woocommerce ul.products:not(.elementor-grid), .woocommerce-page ul.products:not(.elementor-grid) {
        grid-template-columns: repeat(2,1fr);
      }

      /* Pour contrer le réglage dans le CSS d'origine de WooCommerce */
      .woocommerce ul.products[class*=columns-] li.product, .woocommerce-page ul.products[class*=columns-] li.product {
        width: 100%;
      }
  
  
    }  
